Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.gen
Class ClientClassGenerationAction

    java.lang.Object
      org.apache.cayenne.gen.ClassGenerationAction
          org.apache.cayenne.gen.ClientClassGenerationAction

    public class ClientClassGenerationAction

extends ClassGenerationAction

Since:
  3.0
Author:
  Andrus Adamchik

Field Summary
`static String` | `SUBCLASS_TEMPLATE`
`static String` | `SUPERCLASS_TEMPLATE`

Fields inherited from class org.apache.cayenne.gen.ClassGenerationAction
`artifacts, artifactsGenerationMode, context, dataMap, destDir, EMBEDDABLE_SINGLE_CLASS_TEMPLATE, EMBEDDABLE_SUBCLASS_TEMPLATE, EMBEDDABLE_SUPERCLASS_TEMPLATE, embeddableSuperTemplate, embeddableTemplate, encoding, logger, makePairs, outputPattern, overwrite, SINGLE_CLASS_TEMPLATE, SUPERCLASS_PREFIX, superPkg, superTemplate, template, templateCache, timestamp, usePkgPath`

Constructor Summary
`ClientClassGenerationAction()`

Method Summary
`void` | `addEntities(Collection<ObjEntity> entities)` Adds entities to the internal entity list.
`protected String` | `defaultTemplateName(TemplateType type)`

Methods inherited from class org.apache.cayenne.gen.ClassGenerationAction
`addEmbeddables, customTemplateName, execute, execute, fileForClass, fileForSuperclass, getSuperclassPrefix, getTemplate, isOld, mkpath, openWriter, resetContextForArtifact, resetContextForArtifactTemplate, setArtifactsGenerationMode, setContext, setDataMap, setDestDir, setEmbeddableSuperTemplate, setEmbeddableTemplate, setEncoding, setLogger, setMakePairs, setOutputPattern, setOverwrite, setSuperPkg, setSuperTemplate, setTemplate, setTimestamp, setUsePkgPath, validateAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUBCLASS_TEMPLATE

    public static final String SUBCLASS_TEMPLATE

See Also:
  Constant Field Values

### SUPERCLASS_TEMPLATE

    public static final String SUPERCLASS_TEMPLATE

See Also:
  Constant Field Values

Constructor Detail

### ClientClassGenerationAction

    public ClientClassGenerationAction()

Method Detail

### defaultTemplateName

    protected String defaultTemplateName(TemplateType type)

  Overrides:
    `defaultTemplateName` in class `ClassGenerationAction`

### addEntities

    public void addEntities(Collection<ObjEntity> entities)

  Description copied from class: `ClassGenerationAction`
  Adds entities to the internal entity list.

  Overrides:
    `addEntities` in class `ClassGenerationAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.